Subject: Re: [PATCH 3/3] Allow whole-tree operations to be started from a subdirectory

From: Junio C Hamano <[email-masked]>
Date: Sat, 13 Jan 2007 17:50:18 -0800

Steven Grimm <[email-masked]> writes:

> Which is why I think the commands should just cd to the top directory
> as needed. Doing otherwise is just making the user do pointless
> busywork. IMO any command that, if run in a subdirectory, currently
> does nothing but spit out a "hey, you can't run me in a subdirectory!"
> error is not doing what the user wanted. The user never runs one of
> those commands hoping to see an error message or to test whether he's
> in the top-level directory. I can't think of any situation in which
> I'd want to see that error instead of the --top behavior.

Having said what I said in the other message, I 120% agree with
this.

The 20% you did not say but I am adding because I really want it
to happen is this.  I want to make running "git merge" from a
subdirectory first cd-up the interactive shell I am typing "git
merge" into and then run the command.  This is because the
reason why I am running one of these "whole tree" operations is
because I am done with what I have been doing in the
subdirectory I was in, and I am moving onto something different.

Of course this cannot be done from within "git merge" command,
but perhaps with clever use of shell aliases it might be
possible.